Skip to main content
DELETE
/
v2
/
teams
/
{teamId}
/
endpoint
/
{endpointName}
Delete export endpoint for a team
curl --request DELETE \
  --url https://rest.forestreet.com/v2/teams/{teamId}/endpoint/{endpointName} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://rest.forestreet.com/v2/teams/{teamId}/endpoint/{endpointName}"

headers = {"x-api-key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};

fetch('https://rest.forestreet.com/v2/teams/{teamId}/endpoint/{endpointName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": false,
  "errorCode": "INVALID_INPUT",
  "message": "Validation of path parameters failed."
}
{
"success": false,
"errorCode": "FORBIDDEN",
"message": "Forbidden - User does not have access to the team"
}
{
"success": false,
"errorCode": "NOT_FOUND",
"message": "Endpoint not found - Cannot delete non-existing endpoint"
}

Authorizations

x-api-key
string
header
required

Pass a static API key for every request, provided by your customer support.

Path Parameters

teamId
number | null
Required range: x >= 0
endpointName
string
required
Maximum string length: 255

Response

Endpoint deleted successfully.